Referenceauth
Start a device-flow login
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/auth/device" \ -H "Content-Type: application/json" \ -d '{ "clientInfo": { "name": "string" } }'{ "deviceCode": "stringstringstringstringstringstringstri", "userCode": "stringstr", "verifyUrl": "http://example.com", "expiresAt": "2019-08-24T14:15:22Z", "interval": -9007199254740991}{ "defined": true, "code": "VALIDATION", "status": 422, "message": "The input failed domain validation.", "data": { "issues": [ { "path": "string", "message": "string" } ] }}{ "defined": true, "code": "RATE_LIMITED", "status": 429, "message": "Rate limit exceeded; retry later.", "data": { "retryAfterSeconds": -9007199254740991 }}